## org.eclipse.datatools.sqltools.editor.ui.core
Class SQLDevToolsUIConfiguration

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.ui.core.SQLDevToolsUIConfiguration

Direct Known Subclasses:
  ASAUIConfig, GenericDBUIConfiguation

    public class SQLDevToolsUIConfiguration

extends java.lang.Object

Field Summary
`static java.lang.String` `DefaultDBFactory_vendor`

Method Summary
`org.eclipse.datatools.sqltools.core.services.ActionService` `getActionService()` Returns the Action service
`org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId` `getDatabaseVendorDefinitionId()` Returns the associated `DatabaseVendorDefinitionId` object.
`static SQLDevToolsUIConfiguration` `getDefaultInstance()`
`IPlanService` `getPlanService()` Returns the query execution plan service associated with this database definition
`org.eclipse.datatools.sqltools.core.services.SQLEditorUIService` `getSQLEditorUIService()` Returns the SQL Editor service associated with this database definition
`org.eclipse.datatools.sqltools.core.services.SQLUIService` `getSQLUIService()` Returns the SQL service associated with this database definition
`ITemplateService` `getTemplateService()`
`org.eclipse.datatools.sqltools.core.services.UIComponentService` `getUIComponentService()` Returns the UI service associated with this database definition
`void` `setDatabaseVendorDefinitionId(org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId dbdefinitionId)` Associcates this factory with a particular `DatabaseVendorDefinitionId`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DefaultDBFactory_vendor

    public static java.lang.String DefaultDBFactory_vendor

Method Detail

### getDefaultInstance

    public static SQLDevToolsUIConfiguration getDefaultInstance()

### getDatabaseVendorDefinitionId

    public org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId getDatabaseVendorDefinitionId()

  Returns the associated `DatabaseVendorDefinitionId` object. A `SQLDevToolsConfiguration` is attached to a certain `DatabaseVendorDefinitionId`. `DatabaseVendorDefinitionId` specifies the database specific capabilities, while a `SQLDevToolsUIConfiguration` encapsulates database specific algorithms.

  Returns:
    The associated `DatabaseDefinition` object.

### setDatabaseVendorDefinitionId

    public void setDatabaseVendorDefinitionId(org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId dbdefinitionId)

  Associcates this factory with a particular `DatabaseVendorDefinitionId`. This method should only be called once by the `SQLDevToolsUIConfigRegistry`.

  Parameters:
    `dbdefinition` - the associated `DatabaseDefinition` object.

### getUIComponentService

    public org.eclipse.datatools.sqltools.core.services.UIComponentService getUIComponentService()

  Returns the UI service associated with this database definition

### getSQLEditorUIService

    public org.eclipse.datatools.sqltools.core.services.SQLEditorUIService getSQLEditorUIService()

  Returns the SQL Editor service associated with this database definition

### getPlanService

    public IPlanService getPlanService()

  Returns the query execution plan service associated with this database definition

### getTemplateService

    public ITemplateService getTemplateService()

### getSQLUIService

    public org.eclipse.datatools.sqltools.core.services.SQLUIService getSQLUIService()

  Returns the SQL service associated with this database definition

### getActionService

    public org.eclipse.datatools.sqltools.core.services.ActionService getActionService()

  Returns the Action service